View Bug Details

IDProjectCategoryView StatusLast Update
0001966DCP-o-maticBugspublic2021-04-19 17:41
Reporteroverlookmotel Assigned Tocarl  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
PlatformMacOSOS XOS Version10.14
Product Version2.14.37 
Summary0001966: Error opening DCP: Unknown asset type text/xml;asdcpKind=CPL in PKL
Description

Opening a specific DCP causes DCP-o-matic to error with:

Error: Unknown asset type text/xml;asdcpKind=CPL in PKL

Same error in both 2.14.38 and 2.15.139.

The PKL does indeed include an <Asset> section with <Type>text/xml;asdcpKind=CPL</Type>. I've seen this in other DCPs which DOM does successfully open. But perhaps this type is only legal in Interop DCPs, whereas this is a SMPTE DCP? Even if it's not legal, I think it'd be better if DOM was more liberal and could open the DCP anyway.

Manually editing the type in PKL to text/xml solves the problem - DOM then successfully opens the DCP.

This error is produced by same DCP as described in 0001965. I got around 0001965 by editing the CPL + PKL to remove all reference to the (possibly faulty) subtitle MXFs, but then hit this error instead.

TagsNo tags attached.
Branch
Estimated weeks required
Estimated work required

Activities

carl

2021-04-15 15:25

administrator   ~0004240

This may be fixed by 2.15.140, if you're in a position to try that - if so, I'll do the same thing in 2.14.x. I think that asset type is unusual but may be allowed if you squint at it just right. 2.15.140 should accept it without complaining.

overlookmotel

2021-04-19 17:14

reporter   ~0004248

Yes, confirmed fixed in 2.15.140!

carl

2021-04-19 17:41

administrator   ~0004249

Thanks! It should also be fixed in 2.14.50 which is currently at https://dcpomatic.com/rc-download

Bug History

Date Modified Username Field Change
2021-04-10 15:22 overlookmotel New Bug
2021-04-15 15:25 carl Assigned To => carl
2021-04-15 15:25 carl Status new => feedback
2021-04-15 15:25 carl Note Added: 0004240
2021-04-19 17:14 overlookmotel Note Added: 0004248
2021-04-19 17:14 overlookmotel Status feedback => assigned
2021-04-19 17:41 carl Note Added: 0004249